AC_DEFUN([CHECK_LIBKRB],
[
    AC_MSG_CHECKING(for krb)
    krbdirs="/usr/local/kerberos /usr/lib/kerberos /usr/kerberos \
            /usr/local/krb5 /usr/lib/krb /usr/krb \
            /usr/pkg /usr/local /usr"
    AC_ARG_WITH(krb,
            AC_HELP_STRING([--with-krb=DIR], [path to krb]),
            krbdirs="$withval")
    for dir in $krbdirs; do
        krbdir="$dir"
        if test -f "$dir/include/krb5.h"; then
            found_krb="yes";
            KINC="-I$krbdir/include";
	    AC_SUBST(KINC)
            break;
        fi
    done
    if test x_$found_krb != x_yes; then
        AC_MSG_ERROR(cannot find krb libraries)
    else
        TLSDEFS=-DTLS;
        AC_SUBST(TLSDEFS)
        KLIBS="-lkrb5 -lk5crypto -lcom_err";
	AC_SUBST(KLIBS)
        KLDFLAGS="-L$krbdir/lib";
	AC_SUBST(KLDFLAGS)
        HAVE_KRB=yes
    fi
    AC_SUBST(HAVE_KRB)
    AC_MSG_RESULT(yes)
])

